<?php 
	/**
	 * Author Message section
	 */
	// Author Message section
	$wp_customize->add_section(
		'nuevo_blog_author',
		array(
			'title' => esc_html__( 'Author Message', 'nuevo-blog' ),
			'panel' => 'nuevo_blog_home_panel',
		)
	);

	// Fretured Post Section enable setting
	$wp_customize->add_setting(
		'nuevo_blog_author_section_enable',
		array(
			'sanitize_callback' => 'nuevo_blog_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'nuevo_blog_author_section_enable',
		array(
			'section'		=> 'nuevo_blog_author',
			'label'			=> esc_html__( 'Enable Author Message Section.', 'nuevo-blog' ),
			'type'			=> 'checkbox',
		)
	);
	// Slider number setting
	$wp_customize->add_setting(
		'nuevo_blog_author_secion_excerpt',
		array(
			'sanitize_callback' => 'nuevo_blog_sanitize_number_range',
			'default' => 30,
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'nuevo_blog_author_secion_excerpt',
		array(
			'section'		=> 'nuevo_blog_author',
			'label'			=> esc_html__( 'Excerpt Length', 'nuevo-blog' ),
			'description'			=> esc_html__( 'Min: 10 | Max: 200', 'nuevo-blog' ),
			'active_callback' => 'nuevo_blog_is_author_enable',
			'type'			=> 'number',
			'input_attrs'	=> array( 'min' => 10, 'max' => 200 ),
		)
	);
	// Author image setting
	$wp_customize->add_setting(
		'nuevo_blog_author_top_image',
		array(
			'sanitize_callback' => 'nuevo_blog_sanitize_image',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'nuevo_blog_author_top_image',
			array(
				'section'		=> 'nuevo_blog_author',
				'label'			=> esc_html__( 'Author Side Top Image:', 'nuevo-blog' ),
				'active_callback' => 'nuevo_blog_is_author_enable',
			)
		)
	);
	// Author image setting
	$wp_customize->add_setting(
		'nuevo_blog_author_bottom_image',
		array(
			'sanitize_callback' => 'nuevo_blog_sanitize_image',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'nuevo_blog_author_bottom_image',
			array(
				'section'		=> 'nuevo_blog_author',
				'label'			=> esc_html__( 'Author Side Bottom Image:', 'nuevo-blog' ),
				'active_callback' => 'nuevo_blog_is_author_enable',
			)
		)
	);

	// Author Message post setting
	$wp_customize->add_setting(
		'nuevo_blog_author_post',
		array(
			'sanitize_callback' => 'nuevo_blog_sanitize_dropdown_pages',
			'default' => 10,
		)
	);

	$wp_customize->add_control(
		'nuevo_blog_author_post',
		array(
			'section'		=> 'nuevo_blog_author',
			'label'			=> esc_html__( 'Post:', 'nuevo-blog' ),
			'active_callback' => 'nuevo_blog_is_author_enable',
			'type'			=> 'select',
			'choices'		=> nuevo_blog_get_post_choices(),
		)
	);
?>